<!DOCTYPE html >
<html>
        <head>
          <title>root - _root_</title>
          <meta name="description" content="root - root " />
          <meta name="keywords" content="root root " />
          <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
          
      <link href="lib/template.css" media="screen" type="text/css" rel="stylesheet" />
      <link href="lib/diagrams.css" media="screen" type="text/css" rel="stylesheet" id="diagrams-css" />
      <script type="text/javascript" src="lib/jquery.js" id="jquery-js"></script>
      <script type="text/javascript" src="lib/jquery-ui.js"></script>
      <script type="text/javascript" src="lib/template.js"></script>
      <script type="text/javascript" src="lib/tools.tooltip.js"></script>
      
      <script type="text/javascript">
         if(top === self) {
            var url = 'index.html';
            var hash = 'package';
            var anchor = window.location.hash;
            var anchor_opt = '';
            if (anchor.length >= 1)
              anchor_opt = '@' + anchor.substring(1);
            window.location.href = url + '#' + hash + anchor_opt;
         }
   	  </script>
    
        </head>
        <body class="value">
      <div id="definition">
        <img alt="Package" src="lib/package_big.png" />
        
        <h1>root package</h1><span class="permalink">
      <a href="index.html#package" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      </div>

      <h4 id="signature" class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">package</span>
      </span>
      <span class="symbol">
        <span class="name">root</span>
      </span>
      </h4>
      
          <div id="comment" class="fullcommenttop"></div>
        

      <div id="mbrsel">
        <div id="textfilter"><span class="pre"></span><span class="input"><input id="mbrsel-input" type="text" accesskey="/" /></span><span class="post"></span></div>
        
        
        <div id="visbl">
            <span class="filtertype">Visibility</span>
            <ol><li class="public in"><span>Public</span></li><li class="all out"><span>All</span></li></ol>
          </div>
      </div>

      <div id="template">
        <div id="allMembers">
        

        <div id="types" class="types members">
              <h3>Type Members</h3>
              <ol><li name="_root_.Client" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="ClientextendsActor"></a>
      <a id="Client:Client"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">class</span>
      </span>
      <span class="symbol">
        <a href="Client.html"><span class="name">Client</span></a><span class="result"> extends <span class="extype" name="akka.actor.Actor">Actor</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#package@ClientextendsActor" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">Cliente</p><div class="fullcomment"><div class="comment cmt"><p>Cliente</p><p>Seu objetivo é receber os dados, enviá-los para o servidor e gravar o resultado em arquivo.
</p></div></div>
    </li><li name="_root_.Message" visbl="pub" data-isabs="true" fullComment="no" group="Ungrouped">
      <a id="MessageextendsAnyRef"></a>
      <a id="Message:Message"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">sealed </span>
        <span class="kind">trait</span>
      </span>
      <span class="symbol">
        <a href="Message.html"><span class="name">Message</span></a><span class="result"> extends <span class="extype" name="scala.AnyRef">AnyRef</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#package@MessageextendsAnyRef" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="_root_.Processa" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="ProcessaextendsProductwithSerializable"></a>
      <a id="Processa:Processa"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">case class</span>
      </span>
      <span class="symbol">
        <a href="Processa.html"><span class="name">Processa</span></a><span class="params">(<span name="conteudo">conteudo: <span class="extype" name="scala.Array">Array</span>[<span class="extype" name="scala.Predef.String">String</span>]</span>)</span><span class="result"> extends <span class="extype" name="scala.Product">Product</span> with <span class="extype" name="scala.Serializable">Serializable</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#package@ProcessaextendsProductwithSerializable" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="_root_.Processo" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="ProcessoextendsSerializable"></a>
      <a id="Processo:Processo"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">class</span>
      </span>
      <span class="symbol">
        <a href="Processo.html"><span class="name">Processo</span></a><span class="result"> extends <span class="extype" name="java.io.Serializable">Serializable</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#package@ProcessoextendsSerializable" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">Processo do usuário
</p><div class="fullcomment"><div class="comment cmt"><p>Processo do usuário
</p></div><dl class="attributes block"> <dt>Annotations</dt><dd>
                <span class="name">@SerialVersionUID</span><span class="args">()</span>
              
        </dd></dl></div>
    </li><li name="_root_.Result" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="ResultextendsProductwithSerializable"></a>
      <a id="Result:Result"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">case class</span>
      </span>
      <span class="symbol">
        <a href="Result.html"><span class="name">Result</span></a><span class="params">(<span name="lista">lista: <span class="extype" name="scala.collection.mutable.Map">Map</span>[<span class="extype" name="scala.Predef.String">String</span>, <a href="User.html" class="extype" name="User">User</a>]</span>)</span><span class="result"> extends <span class="extype" name="scala.Product">Product</span> with <span class="extype" name="scala.Serializable">Serializable</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#package@ResultextendsProductwithSerializable" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="_root_.Start" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="StartextendsProductwithSerializable"></a>
      <a id="Start:Start"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">case class</span>
      </span>
      <span class="symbol">
        <a href="Start.html"><span class="name">Start</span></a><span class="params">(<span name="conteudo">conteudo: <span class="extype" name="scala.Array">Array</span>[<span class="extype" name="scala.Predef.String">String</span>]</span>)</span><span class="result"> extends <span class="extype" name="scala.Product">Product</span> with <span class="extype" name="scala.Serializable">Serializable</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#package@StartextendsProductwithSerializable" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="_root_.User" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="UserextendsSerializable"></a>
      <a id="User:User"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">class</span>
      </span>
      <span class="symbol">
        <a href="User.html"><span class="name">User</span></a><span class="result"> extends <span class="extype" name="java.io.Serializable">Serializable</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#package@UserextendsSerializable" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">Usuário e seus processos.</p><div class="fullcomment"><div class="comment cmt"><p>Usuário e seus processos.
</p></div><dl class="attributes block"> <dt>Annotations</dt><dd>
                <span class="name">@SerialVersionUID</span><span class="args">()</span>
              
        </dd></dl></div>
    </li></ol>
            </div>

        

        <div id="values" class="values members">
              <h3>Value Members</h3>
              <ol><li name="_root_.Cliente" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="Cliente"></a>
      <a id="Cliente:Cliente"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">object</span>
      </span>
      <span class="symbol">
        <a href="Cliente$.html"><span class="name">Cliente</span></a>
      </span>
      </h4><span class="permalink">
      <a href="index.html#package@Cliente" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="_root_.Utils" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="Utils"></a>
      <a id="Utils:Utils"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">object</span>
      </span>
      <span class="symbol">
        <a href="Utils$.html"><span class="name">Utils</span></a>
      </span>
      </h4><span class="permalink">
      <a href="index.html#package@Utils" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">Fornece funções uteis</p>
    </li></ol>
            </div>

        

        
        </div>

        <div id="inheritedMembers">
        
        
        </div>

        <div id="groupedMembers">
        <div class="group" name="Ungrouped">
              <h3>Ungrouped</h3>
              
            </div>
        </div>

      </div>

      <div id="tooltip"></div>

      <div id="footer">  </div>


    </body>
      </html>
